{
  "name": "lenster",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "dev": "next dev",
    "build": "next build",
    "start": "next start",
    "export": "next export",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "typecheck": "tsc --noEmit",
    "prettier": "prettier --write \"./src/**/*.{ts,tsx}\"",
    "prettier:check": "prettier --check \"./src/**/*.{ts,tsx}\"",
    "codegen": "graphql-codegen",
    "prepare": "husky install"
  },
  "dependencies": {
    "@apollo/client": "^3.5.10",
    "@giphy/js-fetch-api": "^4.1.2",
    "@giphy/react-components": "^5.6.1",
    "@headlessui/react": "^1.5.0",
    "@heroicons/react": "^1.0.6",
    "@hookform/resolvers": "^2.8.8",
    "@tailwindcss/aspect-ratio": "^0.4.0",
    "clsx": "^1.1.1",
    "dayjs": "^1.11.0",
    "dotenv": "^16.0.0",
    "ethers": "^5.6.2",
    "framer-motion": "^6.2.9",
    "graphql": "^16.3.0",
    "ipfs-http-client": "54.0.2",
    "jwt-decode": "^3.1.2",
    "linkify-plugin-mention": "^3.0.4",
    "linkify-react": "^3.0.4",
    "linkifyjs": "^3.0.5",
    "next": "^12.1.4",
    "next-themes": "^0.1.1",
    "omit-deep": "^0.3.0",
    "react": "^18.0.0",
    "react-cool-inview": "^3.0.0",
    "react-copy-to-clipboard": "^5.0.4",
    "react-dom": "^17.0.2",
    "react-hook-form": "7.29.0",
    "react-hot-toast": "^2.2.0",
    "use-streak": "^1.0.4",
    "uuid": "^8.3.2",
    "wagmi": "^0.2.24",
    "zod": "^3.14.4"
  },
  "devDependencies": {
    "@graphql-codegen/cli": "^2.6.2",
    "@graphql-codegen/fragment-matcher": "^3.2.1",
    "@graphql-codegen/typescript": "^2.4.7",
    "@tailwindcss/forms": "^0.5.0",
    "@tailwindcss/line-clamp": "^0.3.1",
    "@types/linkifyjs": "^2.1.4",
    "@types/node": "^17.0.23",
    "@types/react": "^17.0.43",
    "@types/react-copy-to-clipboard": "^5.0.2",
    "@types/react-dom": "^17.0.14",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^5.18.0",
    "autoprefixer": "^10.4.3",
    "eslint": "8.12.0",
    "eslint-config-next": "^12.1.4",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-simple-import-sort": "^7.0.0",
    "eslint-plugin-unused-imports": "^2.0.0",
    "husky": "^7.0.4",
    "lint-staged": "^12.3.5",
    "postcss": "^8.4.11",
    "prettier": "^2.6.2",
    "tailwindcss": "^3.0.23",
    "ts-node": "^10.7.0",
    "tsconfig-paths": "^3.14.1",
    "typescript": "^4.6.3"
  },
  "lint-staged": {
    "*.{js,jsx,ts,tsx}": [
      "eslint --cache --fix",
      "prettier --write"
    ]
  }
}
